> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get email by Id

> Get email by Id



## OpenAPI

````yaml /api-reference/conversations/openapi.json get /conversations/messages/email/{id}
openapi: 3.0.0
info:
  title: Conversations API
  description: Documentation for Conversations API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Conversations
    description: Documentation for Conversations API
  - name: Search
    description: Documentation for Conversations API
  - name: Email
    description: Documentation for Conversations API
  - name: Messages
    description: Documentation for Conversations API
  - name: Providers
    description: Documentation for Conversations API
paths:
  /conversations/messages/email/{id}:
    get:
      tags:
        - Email
      summary: Get email by Id
      description: Get email by Id
      operationId: get-email-by-id
      parameters: []
      responses:
        '200':
          description: Email object for the id given.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetEmailMessageResponseDto'
components:
  schemas:
    GetEmailMessageResponseDto:
      type: object
      properties:
        id:
          type: string
          example: ve9EPM428h8vShlRW1KT
        altId:
          type: string
          example: ve9EPM428h8vShlRW1KT
          description: External Id
        threadId:
          type: string
          example: ve9EPM428h8vShlRW1KT
          description: Message Id or thread Id
        locationId:
          type: string
          example: ve9EPM428h8vShlRW1KT
        contactId:
          type: string
          example: ve9EPM428h8vShlRW1KT
        conversationId:
          type: string
          example: ve9EPM428h8vShlRW1KT
        dateAdded:
          type: string
          example: '2024-03-27T18:13:49.000Z'
        subject:
          type: string
          example: Order confirm
        body:
          type: string
          example: Hi there
        direction:
          type: string
          enum:
            - inbound
            - outbound
        status:
          type: string
          enum:
            - pending
            - scheduled
            - sent
            - delivered
            - read
            - undelivered
            - connected
            - failed
            - opened
        contentType:
          type: string
          example: text/plain
        attachments:
          description: An array of attachment URLs.
          type: array
          items:
            type: string
        provider:
          type: string
          example: Leadconnector Gmail
        from:
          type: string
          description: Name and Email Id of the sender
        to:
          description: List of email Ids of the receivers
          type: array
          items:
            type: string
        cc:
          description: List of email Ids of the people in the cc field
          type: array
          items:
            type: string
        bcc:
          description: List of email Ids of the people in the bcc field
          type: array
          items:
            type: string
        replyToMessageId:
          type: string
          description: In case of reply, email message Id of the reply to email
        source:
          type: string
          enum:
            - workflow
            - bulk_actions
            - campaign
            - api
            - app
          description: Email source
        conversationProviderId:
          type: string
          example: cI08i1Bls3iTB9bKgF01
          description: Conversation provider ID
      required:
        - id
        - threadId
        - locationId
        - contactId
        - conversationId
        - dateAdded
        - body
        - direction
        - contentType
        - from
        - to

````